Subject: Re: [BUG] mpc8323_rdb platform doesn't boot since kernel 3.16

From: christophe leroy <[email-masked]>
Date: Sat, 06 Jun 2015 19:56:35 +0200

Le 06/06/2015 17:32, Rob Herring a écrit :
> On Sat, Jun 6, 2015 at 6:20 AM, christophe leroy
> <[email-masked]> wrote:
>> I've got a MPC8323 RDB evaluation platform from freescale
>> kernel 4.0 doesn't boot
>> kernel 3.16 doesn't boot
>> kernel 3.15 boots ok
>>
>> I disected the issue down to your commit "of/fdt: Convert FDT functions to
>> use libfdt" (e6a6928c3ea1d0195ed75a091e345696b916c09b)
>>
>> Do you have an idea of what the issue could be ?
> Is your dtb older version of the dtb format (before 0x10)? libfdt
> doesn't work on the older versions.
The dtb is built together with the kernel with following DTS in the 
mainline:
arch/powerpc/boot/dts/mpc832x_rdb.dts
>
> If not, do you have logs with debug enabled in drivers/of/fdt.c?
It stops before any log appears on the console. I will see on monday if 
I can activate early debug console

Christophe
>
> Rob
>
>> Christophe
>>
>> ---
>> L'absence de virus dans ce courrier électronique a été vérifiée par le
>> logiciel antivirus Avast.
>> https://www.avast.com/antivirus
>>

---
L'absence de virus dans ce courrier électronique a été vérifiée par le logiciel antivirus Avast.
https://www.avast.com/antivirus